name: delivery
description: A new Flutter project.

# The following line prevents the package from being accidentally published to
# pub.dev using `pub publish`. This is preferred for private packages.
publish_to: 'none' # Remove this line if you wish to publish to pub.dev

# The following defines the version and build number for your application.
# A version number is three numbers separated by dots, like 1.2.43
# followed by an optional build number separated by a +.
# Both the version and the builder number may be overridden in flutter
# build by specifying --build-name and --build-number, respectively.
# In Android, build-name is used as versionName while build-number used as versionCode.
# Read more about Android versioning at https://developer.android.com/studio/publish/versioning
# In iOS, build-name is used as CFBundleShortVersionString while build-number used as CFBundleVersion.
# Read more about iOS versioning at
# https://developer.apple.com/library/archive/documentation/General/Reference/InfoPlistKeyReference/Articles/CoreFoundationKeys.html
version: 1.4.0

environment:
  sdk: ">=2.7.0 <3.0.0"

dependencies:
  flutter:
    sdk: flutter


  # The following adds the Cupertino Icons font to your application.
  # Use with the CupertinoIcons class for iOS style icons.
  cupertino_icons: ^1.0.2
  #Splash Screen
  flutter_native_splash: ^1.1.8+4
  #Firebase
  firebase_core: ^1.0.3
  #Firebase login
  firebase_auth: ^1.0.2
  #Firebase Database
  cloud_firestore: ^1.0.4
  #Firebase storage
  firebase_storage: ^8.0.2
  #Firebase messaging:  for notifications
  firebase_messaging: ^9.1.1
  # State Management and Streams manipulations
  provider: ^5.0.0
  rxdart: ^0.26.0
  # Local Storage: For dark mode
  shared_preferences: ^2.0.5
  #Show svg images
  flutter_svg: ^0.21.0+1
  #Notification
  flutter_local_notifications: ^5.0.0+1
  url_launcher: ^6.0.3
  #Flutter toast
  fluttertoast: ^8.0.3
  #image picker
  file_picker: ^3.0.1
  #Http plugin for notifications
  http: ^0.13.1
  #Image resizer to reduce upload size
  flutter_native_image: ^0.0.6
  #Geocoding plugin to get location from address
  geocoding: ^2.0.0
  #Map launcher plugin to show address in map
  map_launcher: ^2.0.0



dev_dependencies:
  flutter_test:
    sdk: flutter

# For information on the generic Dart part of this file, see the
# following page: https://dart.dev/tools/pub/pubspec

# The following section is specific to Flutter.
flutter:

  # The following line ensures that the Material Icons font is
  # included with your application, so that you can use the icons in
  # the material Icons class.
  uses-material-design: true

  # To add assets to your application, add an assets section, like this:
  # assets:
  #   - images/a_dot_burr.jpeg
  #   - images/a_dot_ham.jpeg
  assets:
    - images/empty_cart.svg
    - images/error.svg
    - images/nothing_found.svg
    - images/reminder.svg
    - images/success.svg
    - images/map.svg
    - images/logo.png
    - images/logo_splash.png
    - images/upload_image.png
    - images/profile.png
    - raw/n_sound.mp3

  # An image asset can refer to one or more resolution-specific "variants", see
  # https://flutter.dev/assets-and-images/#resolution-aware.

  # For details regarding adding assets from package dependencies, see
  # https://flutter.dev/assets-and-images/#from-packages

  # To add custom fonts to your application, add a fonts section here,
  # in this "flutter" section. Each entry in this list should have a
  # "family" key with the font family name, and a "fonts" key with a
  # list giving the asset and other descriptors for the font. For
  # example:
  # fonts:
  #   - family: Schyler
  #     fonts:
  #       - asset: fonts/Schyler-Regular.ttf
  #       - asset: fonts/Schyler-Italic.ttf
  #         style: italic
  #   - family: Trajan Pro
  #     fonts:
  #       - asset: fonts/TrajanPro.ttf
  #       - asset: fonts/TrajanPro_Bold.ttf
  #         weight: 700
  #
  # For details regarding fonts from package dependencies,
  # see https://flutter.dev/custom-fonts/#from-packages
